=== debian/changelog ===
crtmpserver (1.0~dfsg-5ubuntu1) wily; urgency=medium

  * Drop hard-coded dependency on libtinyxml2.6.2 and liblua5.1-0.

 -- Robert Bruce Park <robert.park@canonical.com>  Wed, 05 Aug 2015 17:22:47 -0700

crtmpserver (1.0~dfsg-5build1) wily; urgency=medium

  * No-change rebuild against libtinyxml2.6.2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 20:31:55 +0000

crtmpserver (1.0~dfsg-5) unstable; urgency=low

  * Update the kfreebsd platform specific header to unbreak compilation,
    Closes: #713840

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2013 18:40:50 +0200

crtmpserver (1.0~dfsg-4) unstable; urgency=low

  * Use pkg-config for detecting tinyxml, Closes: #713515

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2013 17:35:59 +0200

crtmpserver (1.0~dfsg-3) unstable; urgency=low

  * Fix compatibility with gcc 4.7. (Closes: #667144)
  * Fix remove and purge command for crtmpserver-apps. (Closes: #668734)

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Tue, 10 Apr 2012 09:05:35 +0300

crtmpserver (1.0~dfsg-2) unstable; urgency=low

  * Enable hardened CPPFLAGS. (Closes: #665323)
  * Add myself to Uploaders field.

 -- Andres Mejia <amejia@debian.org>  Thu, 22 Mar 2012 22:28:52 -0400

crtmpserver (1.0~dfsg-1) unstable; urgency=low

  [ Andriy Beregovenko ]
  * New upstream version.
  * Remove upstream conf file related things.
  * Update changelog.
  * Update config files.
  * Fix a version number in changelog.
  * Update app-scripts.
  * Update debian build rules.
  * Finalize changelog.

  [ Andres Mejia ]
  * Set verbose output for builds.
  * Set compat to 9 to enable hardened build.
  * Set default build type to Release.
  * Bump to Standards-Version 3.9.3.
  * Don't override -O3 set by build system.

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Thu, 22 Mar 2012 03:18:14 +0200
