## crtmpserver 1.0%7edfsg

=== debian/changelog ===
crtmpserver (1.0~dfsg-3~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #964153)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 04 Jul 2012 00:04:40 -0500
